/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison interface for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

#ifndef YY_SFSMIDENTIFIERTYPE_TYPEPARSER_TAB_HPP_INCLUDED
# define YY_SFSMIDENTIFIERTYPE_TYPEPARSER_TAB_HPP_INCLUDED
/* Debug traces.  */
#ifndef SFSMIDENTIFIERTYPEDEBUG
# if defined YYDEBUG
#if YYDEBUG
#   define SFSMIDENTIFIERTYPEDEBUG 1
#  else
#   define SFSMIDENTIFIERTYPEDEBUG 0
#  endif
# else /* ! defined YYDEBUG */
#  define SFSMIDENTIFIERTYPEDEBUG 0
# endif /* ! defined YYDEBUG */
#endif  /* ! defined SFSMIDENTIFIERTYPEDEBUG */
#if SFSMIDENTIFIERTYPEDEBUG
extern int sfsmIdentifierTypedebug;
#endif

/* Token kinds.  */
#ifndef SFSMIDENTIFIERTYPETOKENTYPE
# define SFSMIDENTIFIERTYPETOKENTYPE
  enum sfsmIdentifierTypetokentype
  {
    SFSMIDENTIFIERTYPEEMPTY = -2,
    SFSMIDENTIFIERTYPEEOF = 0,     /* "end of file"  */
    SFSMIDENTIFIERTYPEerror = 256, /* error  */
    SFSMIDENTIFIERTYPEUNDEF = 257, /* "invalid token"  */
    IN = 258,                      /* IN  */
    OUT = 259,                     /* OUT  */
    ARRAY = 260,                   /* ARRAY  */
    INTEGER = 261,                 /* INTEGER  */
    REAL = 262,                    /* REAL  */
    BOOL = 263,                    /* BOOL  */
    COMMA = 264,                   /* COMMA  */
    LPAREN = 265,                  /* LPAREN  */
    RPAREN = 266,                  /* RPAREN  */
    WHITESPACE = 267               /* WHITESPACE  */
  };
  typedef enum sfsmIdentifierTypetokentype sfsmIdentifierTypetoken_kind_t;
#endif

/* Value type.  */
#if ! defined SFSMIDENTIFIERTYPESTYPE && ! defined SFSMIDENTIFIERTYPESTYPE_IS_DECLARED
union SFSMIDENTIFIERTYPESTYPE
{
#line 44 "TypeParser.y"

	libfsmtest::SFSMs::IdentifierType::LocationInModel location;
	libfsmtest::SFSMs::IdentifierType::SimpleType *simpleType;
	libfsmtest::SFSMs::IdentifierType::ComplexType *complexType;
	libfsmtest::SFSMs::IdentifierType::Type *type;
	std::vector<libfsmtest::SFSMs::IdentifierType::Type> *typeList; 

#line 92 "TypeParser.tab.hpp"

};
typedef union SFSMIDENTIFIERTYPESTYPE SFSMIDENTIFIERTYPESTYPE;
# define SFSMIDENTIFIERTYPESTYPE_IS_TRIVIAL 1
# define SFSMIDENTIFIERTYPESTYPE_IS_DECLARED 1
#endif




int sfsmIdentifierTypeparse (libfsmtest::SFSMs::IdentifierType *&result, std::string &errorString, yyscan_t yyscanner);


#endif /* !YY_SFSMIDENTIFIERTYPE_TYPEPARSER_TAB_HPP_INCLUDED  */
