cd $(dirname "$0")
pathToScript=$PWD
export CC="clang"
export CXX="clang++"

for build in "Release" "Debug"; do
        if [ -d "build.${build}" ]; then
            rm -rf "build.${build}";
        fi
        mkdir -p "build.${build}";
        cd "build.${build}";
        cmake -DCMAKE_BUILD_TYPE=${build} "${pathToScript}/src";
        cd ..;
done
